Bug 208253 - samba-3.0.23c coredumps with some clients (workaround - use + instead of @)
samba-3.0.23c coredumps with some clients (workaround - use + instead of @)
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 09:06 EDT by Nerijus Baliūnas
Modified: 2014-08-31 19:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 20:02:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2006-09-27 09:06:28 EDT
From a client.log:

[2006/09/27 15:51:31, 0] lib/fault.c:dump_core(173)
  dumping core in /var/log/samba/cores/smbd
[2006/09/27 15:51:31, 0] lib/fault.c:fault_report(41)
  ===============================================================
[2006/09/27 15:51:31, 0] lib/fault.c:fault_report(42)
  INTERNAL ERROR: Signal 11 in pid 16118 (3.0.23c-1.fc5)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2006/09/27 15:51:31, 0] lib/fault.c:fault_report(44)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2006/09/27 15:51:31, 0] lib/fault.c:fault_report(45)
  ===============================================================
[2006/09/27 15:51:31, 0] lib/util.c:smb_panic(1614)
  PANIC (pid 16118): internal error
[2006/09/27 15:51:31, 0] lib/util.c:log_stack_trace(1721)
  BACKTRACE: 24 stack frames:
   #0 smbd(log_stack_trace+0x1c) [0x555555757dec]
   #1 smbd(smb_panic+0x43) [0x555555757ed3]
   #2 smbd [0x555555746252]
   #3 /lib64/libpthread.so.0 [0x2aaaab8b50b0]
   #4 /lib64/libc.so.6(strlen+0x30) [0x2aaaac323cb0]
   #5 /lib64/libc.so.6(__strdup+0x16) [0x2aaaac3239e6]
   #6 /lib64/libnsl.so.1(nis_list+0x529) [0x2aaaabf97469]
   #7 /lib64/libnss_nisplus.so.2(_nss_nisplus_setnetgrent+0x8a) [0x2aaab051603a]
   #8 /lib64/libc.so.6(innetgr+0xcf) [0x2aaaac3983ff]
   #9 smbd(user_in_netgroup+0x6a) [0x5555555c5e6a]
   #10 smbd(token_contains_name_in_list+0x205) [0x5555555c83b5]
   #11 smbd(is_share_read_only_for_token+0x96) [0x5555555c8666]
   #12 smbd(change_to_user+0x3fa) [0x55555560127a]

It happens when win98 client tries to open samba share.
samba-3.0.23a-1.fc5.1 worked OK.
Comment 1 Nerijus Baliūnas 2006-09-27 17:44:59 EDT
It seems it does happen only on x86_64.
Comment 2 Nerijus Baliūnas 2006-09-29 06:53:08 EDT
It seems it happens with XP clients too:

[2006/09/29 08:35:02, 0] lib/fault.c:fault_report(45)
  ===============================================================
[2006/09/29 08:35:02, 0] lib/util.c:smb_panic(1614)
  PANIC (pid 29212): internal error
[2006/09/29 08:35:02, 0] lib/util.c:log_stack_trace(1721)
  BACKTRACE: 21 stack frames:
   #0 smbd(log_stack_trace+0x1c) [0x555555757dec]
   #1 smbd(smb_panic+0x43) [0x555555757ed3]
   #2 smbd [0x555555746252]
   #3 /lib64/libpthread.so.0 [0x2aaaab8b50b0]
   #4 /lib64/libc.so.6(strlen+0x30) [0x2aaaac323cb0]
   #5 /lib64/libc.so.6(__strdup+0x16) [0x2aaaac3239e6]
   #6 /lib64/libnsl.so.1(nis_list+0x529) [0x2aaaabf97469]
   #7 /lib64/libnss_nisplus.so.2(_nss_nisplus_setnetgrent+0x8a) [0x2aaab064203a]
   #8 /lib64/libc.so.6(innetgr+0xcf) [0x2aaaac3983ff]
   #9 smbd(user_in_netgroup+0x6a) [0x5555555c5e6a]
   #10 smbd(token_contains_name_in_list+0x205) [0x5555555c83b5]
   #11 smbd(is_share_read_only_for_token+0x96) [0x5555555c8666]
   #12 smbd(change_to_user+0x3fa) [0x55555560127a]
   #13 smbd [0x55555561bebb]
   #14 smbd(make_connection+0x168) [0x55555561cea8]
   #15 smbd(reply_tcon_and_X+0x1fe) [0x5555555e8c6e]
   #16 smbd [0x555555618b92]
   #17 smbd(smbd_process+0x720) [0x555555619ba0]
   #18 smbd(main+0xa0b) [0x5555557ec92b]
   #19 /lib64/libc.so.6(__libc_start_main+0xf4) [0x2aaaac2cc784]
   #20 smbd [0x5555555b1b59]
Comment 3 Nerijus Baliūnas 2006-11-11 11:25:50 EST
It happened on i386 too:

[2006/11/10 18:52:20, 0] lib/util.c:smb_panic(1614)
  PANIC (pid 6940): internal error
[2006/11/10 18:52:20, 0] lib/util.c:log_stack_trace(1721)
  BACKTRACE: 19 stack frames:
   #0 smbd(log_stack_trace+0x2d) [0xd478ad]
   #1 smbd(smb_panic+0x5d) [0xd479dd]
   #2 smbd [0xd3351a]
   #3 [0x6fd420]
   #4 /lib/libc.so.6(__strdup+0x1f) [0x2ed893]
   #5 /lib/libnsl.so.1(nis_list+0x5d2) [0xfa1b5f]
   #6 /lib/libnss_nisplus.so.2(_nss_nisplus_setnetgrent+0x8f) [0x48762e]
   #7 /lib/libc.so.6(innetgr+0xb2) [0x368d05]
   #8 smbd(user_in_netgroup+0x65) [0xb7e1e5]
   #9 smbd(token_contains_name_in_list+0x23d) [0xb80bdd]
   #10 smbd(user_ok_token+0x8f) [0xb8100f]
   #11 smbd [0xbde88f]
   #12 smbd(make_connection+0x194) [0xbdffa4]
   #13 smbd(reply_tcon_and_X+0x21d) [0xba38ed]
   #14 smbd [0xbdb0e0]
   #15 smbd(smbd_process+0x7ab) [0xbdc21b]
   #16 smbd(main+0xbd0) [0xdf5f90]
   #17 /lib/libc.so.6(__libc_start_main+0xdc) [0x2994e4]
   #18 smbd [0xb66701]
[2006/11/10 18:52:20, 0] lib/fault.c:dump_core(173)
  dumping core in /var/log/samba/cores/smbd
Comment 4 Nerijus Baliūnas 2006-11-28 20:02:47 EST
Samba developer said in samba mailing list:
This is a bug in the Fedora NISplus nss module - I think

it needs to be fixed there.

But there is a workaround - using 'write list = +users' instead of 'write list =
@users' in smb.conf helps.

Note You need to log in before you can comment on or make changes to this bug.